commit f9481de1889b109a825308f443039060008a705a
Author: freddy77 <freddy77>
Date:   Tue Mar 11 08:25:30 2008 +0000

    backported SQL_ATTR_CONNECTION_DEAD support

diff --git b/src/odbc/odbc.c a/src/odbc/odbc.c
index ffbabe7..76c3426 100644
--- b/src/odbc/odbc.c
+++ a/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.9 2008/03/11 08:25:30 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.8 2008/03/10 10:07:22 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -4469,12 +4469,6 @@ _SQLGetConnectAttr(SQLHDBC hdbc, SQLINTEGER Attribute, SQLPOINTER Value, SQLINTE
 		*((SQLUINTEGER *) Value) = dbc->attr.autocommit;
 		ODBC_RETURN_(dbc);
 		break;
-#if defined(SQL_ATTR_CONNECTION_DEAD) && defined(SQL_CD_TRUE)
-	case SQL_ATTR_CONNECTION_DEAD:
-		*((SQLUINTEGER *) Value) = IS_TDSDEAD(dbc->tds_socket) ? SQL_CD_TRUE : SQL_CD_FALSE;
-		ODBC_RETURN_(dbc);
-		break;
-#endif
 	case SQL_ATTR_CONNECTION_TIMEOUT:
 		*((SQLUINTEGER *) Value) = dbc->attr.connection_timeout;
 		ODBC_RETURN_(dbc);

